function setupChart(...cumuls) {
  const chart = Highcharts.chart('recap-xp-container', {
    chart: {
      backgroundColor: '#000',
    },
    title: {
      text: '',
      color: '#55f5f5',
    },
    series: cumuls.map(cumul => ({
      // color: '#55f5f5',
      name: cumul.name,
      data: cumul.data,
    })),
  });
}

document.addEventListener('DOMContentLoaded', function () {
  const xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = () => {
    if (xhttp.readyState == 4 && xhttp.status == 200) {
      const json_output = JSON.parse(xhttp.responseText);
      setupChart(...json_output.pex_tables);
    }
  };

  xhttp.open("GET", "/recap", true);
  xhttp.setRequestHeader("Accept", "application/json");
  xhttp.send();
});
